<script >

import Select from "@/components/Select.vue";
import SvgIcon from "@/components/SvgIcon.vue";
import MainDialog from "@/components/dialog/MainDialog.vue";
export default {
  name: "EnergyCurve",
  components: {
    MainDialog,
    Select,
    SvgIcon,
  },
  data() {
    return {
      showOrigin: false,
      dialogState: false,
      dialogBottomArr: [
        {name: "确定", color: "#4697EF"},
        {name: "取消", color: "#000000"},
      ],
    }
  },
  methods: {
    showMessage() {
      this.dialogState = true;
      console.log("dialogBottomArr:" + this.dialogBottomArr)
    }
  }
}
</script>

<template>
 <div class="dilink-14">
   <div class="select-body">
     <div class="card-group">
       <div class="curveImg">
         <img src="../../assets/images/setting/energy_curve/energy_curve.webp" alt="">
       </div>
       <div class="clear_button" ><span @click="showMessage" class="button_text">图表清零</span></div>
     </div>
     <div class="dilink-14-img">
       <img
           src="../../assets/images/setting/beforeCharge/setting_encharge1.webp"
           alt=""
           srcset=""
           class="dilink-14-img1"
       />
     </div>
     <MainDialog
         :dialogVisible="dialogState"
         @changeVisble="e => dialogState = e"
         title="图表清零"
         :bottomArray="dialogBottomArr"
     >
       <template #content>
         <div class="dialog-energy">
           确定清除当前能耗曲线图表数据？
         </div>
       </template>
     </MainDialog>
   </div>
 </div>
</template>

<style scoped lang="scss">
.curveImg{
  margin: 0 34px;
  padding: 41px 0 35px 0;
  img{
    width: 620px;
    object-fit: contain;
  }
}
.clear_button{
  display: flex;
  justify-content: center;
  align-items: center;

  .button_text{
    width: 188px;
    height: 66px;
    line-height: 66px;
    color: #4192EE;
    border-radius: 39.5px;
    font-size: 27px;
    transform: scale(0.8);
    text-align: center;
    letter-spacing: 0.06em;
    border: 2px solid #4192EE;
    padding: 0 28px;
  }
}

.dialog-energy{
  height: 42px;
  font-size: 30px;
  padding: 60px 0 64px 0;
  display: flex;
  justify-content: center;
}

.card-group {
  width: 688px;
  height: 641px;
  border-radius: 16px;
  box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
  background: white;
  font-size: 28px;
  font-weight: normal;
  line-height: normal;
  letter-spacing: 0.05em;
  display: flex;
  flex-direction: column;

  .blue_active{
    font-size: 28px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: 0.05em;
    color: #4192EE;
    margin-right: 11px;
  }
  .grey_active{
    font-size: 21px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: 0.05em;
    color: #999999;
  }
}
.card_g1{
  display: flex;
  justify-content: space-between;
  div:first-child{
    flex: 1;
  }
  div:last-child{
    flex: 1;
    justify-content: right;
    text-align: center;;
  }
  margin-bottom: 55px;
}
.card_g2{
  display: flex;
  justify-content: space-between;
  div:first-child{
    flex: 1;
  }
  div:last-child{
    flex: 1;
    text-align: center;
    justify-content: right;
    //padding-right: 3px;
  }
}
.custom-card {
  width: 688px;
  height: 271px;
  border-radius: 16px;
  background: #FFFFFF;
  box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
  ::v-deep .card-left {
    margin-left: 40px;
    img {
      width: 286px;
      object-fit: contain;
    }
  }
}
.dilink-14  {
  position: relative;
  .dilink-14-img1 {
    width: 830px;
    object-fit: contain;
    //height: 582px;
    position: absolute;
    right:1px;
    top: 185px;
  }
  .e_fistImg{
    img{
      width: 688px;
      height: 271px;
    }
    //position: absolute;
    //left: 0;
    //top:0;
  }
  .e_2th_Card{
    //display: flex;
    //flex-direction: column;
    //justify-content: start;
  }
  .select-body {
    width: 688px;
    .card-container {
      margin-bottom: 14px;
    }
  }
}
</style>
